Package csb :: Package bio :: Package sequence :: Class A3MAlignment

[frames] | no frames]

# Class A3MAlignment

source code

           object --+
                    |
    AbstractAlignment --+
                        |
                       A3MAlignment

A specific type of multiple alignment, which provides some operations relative to a master sequence (the first entry in the alignment).

Nested Classes
Inherited from `AbstractAlignment`: `__metaclass__`

Instance Methods

__init__(self, sequences, strict=True) x.__init__(...) initializes x; see help(type(x)) for signature | source code

str

format(self, format=A3M, headers=True) Format the alignment as a string. | source code

hmm_subregion(self, match_start, match_end) Same as AbstractAlignment.subregion, but start/end positions are ranks in the ungapped master sequence. | source code

bool

insertion_at(self, column) Return True of `column` contains at least one insertion. | source code

Inherited from `AbstractAlignment`: `__getitem__`, `__iter__`, `add`, `gap_at`, `subregion` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Static Methods

A3MAlignment

parse(string, strict=True) Create a new A3MAlignment from an A3M string. | source code

Class Variables
| __abstractmethods__ = ``frozenset([``])``

Properties
AbstractSequence | master The master sequence
int | matches Number of match states (residues in the ungapped master).
Inherited from `AbstractAlignment`: `columns`, `length`, `rows`, `size` Inherited from `object`: `__class__`

Method Details

### __init__(self, sequences, strict=True)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `sequences` - alignment entries (must have equal length)
  - `strict` - if True, raise {DuplicateSequenceError} when a duplicate ID is found (default=True)
Overrides: object.__init__
  (inherited documentation)

### format(self, format=A3M, headers=True)

source code

Format the alignment as a string.

Parameters:
  - `format` - alignment format type, member of AlignmentFormats
  - `headers` - if False, omit headers
Returns: str
Overrides: AbstractAlignment.format
  (inherited documentation)

### insertion_at(self, column)

source code

Return True of `column` contains at least one insertion.

Parameters:
  - `column` (int) - column number, 1-based
Returns: bool

### parse(string, strict=True)
Static Method

source code

Create a new A3MAlignment from an A3M string.

Parameters:
  - `string` (str) - MSA-formatted string
  - `strict` (bool) - see AbstractAlignment
Returns: A3MAlignment

Property Details

### master

The master sequence

Get Method:
  unreachable.master(self) - The master sequence
Type:
  AbstractSequence

### matches

Number of match states (residues in the ungapped master).

Get Method:
  unreachable.matches(self) - Number of match states (residues in the ungapped master).
Type:
  int